<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 08/25/2003 *
 * ===============                              Last change: 04/16/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : config.php                                       *
 * -------------------------------------------------------------------- *
 * Short description : Your configuration data (MySQL)                  *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Ihre Konfigurationsdaten (MySQL)                 *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY'))
{
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4) . "/security.php";
	require($INC);
}

/************************************************************************
 *      PLEASE DO NOT EDIT THE COMMENTS! install.php NEEDS THEM!        *
 ************************************************************************/

if (function_exists('date_default_timezone_set')) {
	// CFG: TIME-ZONE
	@date_default_timezone_set("Europe/Berlin");
}

// Most of these constants are old and deprecated. We don't use them either.
// You can still feel free to use them in your templates / scripts if you like :-)
define('VERSION', "v0.2.1");
define('AUTHOR' , "Roland H&auml;der");
define('TITLE', "MXChange - Mail Exchange");
define('COPY', "&copy; 2003 - 2008, by <A href=\"http://www.mxchange.org\" target=\"_blank\" rel=\"external\" title=\"{!TITLE!} {!VERSION!}\">Roland H&auml;der</A>");

// CFG: ERROR_REPORTING
@error_reporting(0);

// CFG: REGISTER-GLOBALS
@import_request_variables("");

// CFG: SITE-KEY
define('SITE_KEY', "gg42ny8-4yng23498-mf423igum-mtu248utn42-mf4839gun43");

// CFG: DATE-KEY
define('DATE_KEY', date("d-m-Y (l-F-T)", time()));

// CFG: DEFAULT-LANGUAGE
define('DEFAULT_LANG', "de");

// CFG: NULLPASS-WARNING
define('warn_no_pass', true);

// CFG: WRITE-FOOTER
define('WRITE_FOOTER', true);

// CFG: OUTPUT-MODE
define('OUTPUT_MODE', "render");

// CFG: MAIN_TITLE
define('MAIN_TITLE', "Your mail-exchanger title");

// CFG: SLOGAN
define('SLOGAN', "Your cool slogan here");

// Auto-detection...
$URL = "http://".getenv('SERVER_NAME').dirname($_SERVER['PHP_SELF']);
while (substr($URL, -1, 1) == "/") { $URL = substr($URL, 0, -1); }
$PATH = substr(dirname(__FILE__), 0, -3);

// CFG: HOST-URL (without trailing '/' !)
define('URL', $URL);

// CFG: SERVER-PATH
define('PATH', $PATH);

// CFG: WEBMASTER
define('WEBMASTER', "you@some-hoster.tld.invalid");

// CFG: INSTALLED
define('mxchange_installed', true);

// CFG: ADMIN-SETUP
define('admin_registered', true);

// CFG: DEBUG-MODE (if enabled all mails will be *displayed* and *not* send!)
define('DEBUG_MODE', false);

// When we are not installing
if (!defined('mxchange_installing')) define('mxchange_installing', false);

// Your MySQL data (we don't like M$ SQL ;-) )
$MySQL = array(
	// CFG: MYSQL-HOST
	'host'     => "localhost",
	// CFG: MYSQL-DBASE
	'dbase'    => "mxchange3",
	// CFG: MYSQL-LOGIN
	'login'    => "root",
	// CFG: MYSQL-PASSWORD
	'password' => "Y4g31N6",
);

// CFG: MYSQL-PREIFX
define('_MYSQL_PREFIX', "mxchange");

// CFG: DATABASE-TYPE
define('_DB_TYPE', "mysql3");

// Lead-Code data
define('LEAD_CODE_ENABLED', true);
define('LEAD_EXPIRY_TIME' , (30*24*60*60)); // == 30 days

// SMTP-Subsystem (keep all empty to use legacy mail() command!)
// CFG: SMTP-HOSTNAME
define('SMTP_HOSTNAME', "");
// CFG: SMTP-USER
define('SMTP_USER', "");
// CFG: SMTP-PASSWORD
define('SMTP_PASSWORD', "");

// SSL cookies? (enable only if you have SSL, URLs will begin with https://)
define('SSL_COOKIES', false);

// CFG: BACKLINK (Enable backlink to mxchange.org in footer? rel=external is set!)
define('ENABLE_BACKLINK', true);

// Connect to the MySQL database...
require_once(PATH."inc/mysql-connect.php");

//
?>
